[Unit]
Description=Run scripts from /etc/firsttime.d
Before=rc-local.service display-manager.service
ConditionPathExists=/etc/firsttime.flag
ConditionDirectoryNotEmpty=/etc/firsttime.d

[Service]
ExecStart=/bin/run-parts /etc/firsttime.d
ExecStartPost=/bin/rm -f /etc/firsttime.flag
Type=oneshot
